# openstack.dns.v2.zone_export

## The ZoneExport Class

The `DNS` class inherits from `Resource`.

class openstack.dns.v2.zone_export.ZoneExport(_synchronized=False, connection=None, **attrs)

  DNS Zone Exports Resource

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  resource_key = ''

    Singular form of key for resource.

  resources_key = 'exports'

    Plural form of key for resource.

  base_path = '/zones/tasks/export'

    The base part of the URI for this resource.

  allow_create = True

    Allow create operation for this resource.

  allow_fetch = True

    Allow get operation for this resource.

  allow_delete = True

    Allow delete operation for this resource.

  allow_list = True

    Allow list operation for this resource.

  created_at

    Properties Timestamp when the zone was created

  links

    Links contains a self pertaining to this zone or a next pertaining to next page

  message

    Message

  metadata

    Returns the total_count of resources matching this filter

  project_id

    The project id which the zone belongs to

  status

    Current status of the zone export

  updated_at

    Timestamp when the zone was last updated

  version

    Version of the resource

  zone_id

    ID for the zone that was created by this export

  create(session, prepend_key=True, base_path=None, **kwargs)

    Create a remote resource based on this instance.

    Parameters:

      - session (`Adapter`) – The session to use for making this request.

      - prepend_key – A boolean indicating whether the resource_key should be prepended in a resource creation request. Default to True.

      - base_path (str) – Base part of the URI for creating resources, if different from `base_path`.

    Returns:

      This `Resource` instance.

    Raises:

      `MethodNotSupported` if `Resource.allow_create` is not set to `True`.

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.